Unit tev01r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, EV01R_p;

function tev01r: String;

implementation

function tev01r: String;
var
N,N1,I,J,L,IERR :Integer;
ALFA,H,PI,S,RAB :Real;
R :Array [0..49] of Real;
G :Array [0..99] of Real;
U :Array [0..49] of Real;
WORK :Array [0..1324] of Real;
K :Array [0..49] of Real;
const
F :Array [0..49] of Real = ( 0.025,0.215,0.405,0.595,0.785,0.975,1.0,0.92,
0.71,0.5,0.29,0.08,0.0,0.08,0.29,0.5,0.71,0.92,
1.0,0.975,0.785,0.595,0.405,0.215,0.025,0.0,0.0,
0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0 );
label
_12,_11,_13,_15,_14;
begin
Result := '';
N := 50;
ALFA := 1.E-8;
H := 2.E-2;
PI := 3.14159265;
N1 := N-1;
for I:=1 to N do
 begin
  G[N+I-1] := 0;
  S := Exp(-(PI*PI*I*H/8));
  for J:=1 to 15 do
   begin
    RAB := Exp(-IntPower(2*J+1,2)*PI*PI*I*H/8);
_12:
    S := S+Power(-1,J)*(2*J+1)*RAB;
   end;
_11:
  R[I-1] := 0.5*PI*S;
 end;
K[0] := R[0]*H/2;
K[N-1] := R[N-1]*H/2;
for I:=2 to N1 do
 begin
_13:
  K[I-1] := R[I-1]*H;
 end;
for I:=1 to N do
 begin
  S := 0;
  for J:=1 to I do
   begin
_15:
    S := S+F[J-1]*K[I-J+0];
   end;
_14:
  G[I-1] := S;
 end;
L := 1;
EV01R(R,G,N,L,ALFA,H,WORK[N+0],WORK,U,IERR);
Result := Result + Format('%s',[' ALFA=']);
Result := Result + Format('%20.16f',[ALFA]) + #$0D#$0A;
Result := Result + Format('%s',[' U=']);
Result := Result + #$0D#$0A;
I := 1;
while ( I<=N ) do
 begin
  Result := Result + Format('%20.16f ',[U[I-1]]) + #$0D#$0A;
  inc(I,5);
 end;
Result := Result + #$0D#$0A;
UtRes('tev01r',Result);  {     tev01r.res }
exit;
end;

end.
